<app-menu-item-layout-container
  *ngrxLet="analysisMenu$; let analysisMenu"
  [menu]="analysisMenu">
  <app-analysis-label
      label
      [selected]="analysisMenu.selected"
      [contentLoaded]="true">
  </app-analysis-label>
  <div
    content
    class="analysis-content-container"
    [ngClass]="(activeRoiMode$|ngrxPush) === 'single' ? 'three-rows' : 'four-rows'"
    *ngrxLet="activeEadMode$; let mode">
    <app-visualization-container></app-visualization-container>
    <ng-container [ngSwitch]="mode">
      <app-preprocessing-jobs-container *ngSwitchCase="'preprocessing'"></app-preprocessing-jobs-container>
      <ng-container
        *ngSwitchCase="'standalone'"
        [ngSwitch]="(activeRoiMode$|ngrxPush)">
        <app-regions-of-interest-container *ngSwitchCase="'single'"></app-regions-of-interest-container>
        <ng-container *ngSwitchCase="'multiple'">
          <app-standalone-jobs-container></app-standalone-jobs-container>
          <app-multi-regions-of-interest-container></app-multi-regions-of-interest-container>
        </ng-container>
      </ng-container>
    </ng-container>
    <app-results-container></app-results-container>
  </div>
</app-menu-item-layout-container>
